Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 621 - Kernel-Headers-2.0.36-1 rpm
Summary: Kernel-Headers-2.0.36-1 rpm
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel
Version: 5.2
Hardware: i386
OS: Linux
medium
high
Target Milestone: ---
Assignee: David Lawrence
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1998-12-27 04:12 UTC by winston2
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1998-12-30 19:19:54 UTC


Attachments (Terms of Use)

Description winston2 1998-12-27 04:12:40 UTC
When you install this rpm it fails to complete and
apparently does not link the new modules to the proper
directory. You have to do a ln -sf 2.0.36-1 2.0.36 or else
you have a boot up error unable to open 2.0.36 modules.dep
and its down hill from there. I wasted many hours with this
and luckily I found help on usenet.

Comment 1 Aleksey Nogin 1998-12-27 06:34:59 UTC
Are you sure it was "kernel-headers-2.0.36-1", not "kernel-2.0.36-1"?
Why did you chose Component "rpm" instead of "kernel"?

Comment 2 winston2 1998-12-27 20:54:59 UTC
I performed the ln -sf 2.0.36-1 2.0.36
in the /lib/modules directory.
I performed the RPM from /tmp.

If I did not do the ln the OS could not find the proper modules.dep
file.

Comment 3 Jeff Johnson 1998-12-30 19:19:59 UTC
On the next reboot, rc.sysinit should do
	ln -sf /lib/modules/2.0.36-1 /lib/modules/preferred
and then depmod -a will be run on the path /lib/modules/preferred

That's what is supposed to happed with Red Hat (and Red Hat only)
kernel-* rpm's. Please reopen this bug if a reboot does not
create  a /lib/modules/preferred symlink.


Note You need to log in before you can comment on or make changes to this bug.